<template>
	<v-app>
		<!--  -->
		<the-header />
		<v-content>
			<v-container fluid>
				<router-view />
			</v-container>
		</v-content>
		<the-nav-bar v-if="$vuetify.breakpoint.smAndDown" />
		<the-footer v-if="$vuetify.breakpoint.mdAndUp" />
	</v-app>
</template>

<script>
import TheHeader from "@/components/TheHeader";
import TheFooter from "@/components/TheFooter";
import TheNavBar from "@/components/TheNavBar";

import cookies from "@/utils/cookies";

export default {
	components: {
		TheHeader,
		TheFooter,
		TheNavBar
	},

	watch: {
		"$vuetify.theme.dark"(newValue) {
			this.$cookies.set(
				cookies.theme.key,
				newValue ? cookies.theme.values.dark : cookies.theme.values.light
			);
		}
	},

	created() {
		this.$vuetify.theme.dark =
			this.$cookies.get(cookies.theme.key) === cookies.theme.values.dark;
	}
};
</script>

<style lang="scss" src="@/app.scss" />
